Loading = {
    template: "#Loading",
    router_path: "/",

    props: [],
    data: function() {
        return {
            password: '',
        }
    },

    mounted: function() {
        this.generate_aes_key("asd")
    },

    methods: {

        async generate_aes_key (password) {

            const key = await this.deriveKeyFromPassphrase(password, "{{ user_setting.id }}--aes")
            this.$emit("update_key", key)

        },

    }
}
